Fehler beim Update Chat.php (Support für das Chatscript)

sala99 ⌂, Thursday, 02.02.2023, 20:00 (vor 475 Tagen)

Guten Abend Fritz

sobald ich mit Notepad+++ vergleiche die datein alte Version und neue Version auf Grund der Fehler Meldung ist mir folgendes auf gefallen

mache ich deine neue chat.php datei aufen webspace kommt folgende fehler meldung fehler 500 im Browser nehme ich die alte Version kommt diese Meldung nicht und chat webseite geht wieder

dein orginaler code aus der Aktuellen chat.php



// if (file_exists("notr_inc.php")) include("notr_inc.php");
if (file_exists("nodl_inc.php")) include("nodl_inc.php");
// http://mobiledetect.net/
// if (file_exists("Mobile_Detect.php")) {
//  require_once "Mobile_Detect.php";
//  $detect = new Mobile_Detect;
// }
// mobiledtect Version 3:
// if (file_exists(dirname(__FILE__) . '/MobileDetect3.php')) {
require_once dirname(__FILE__) . '/MobileDetect3.php';
$detect = new \Detection\MobileDetect;
// }

nun die vor Version vor den update
muss datzu sagen ich habe beide code probiert der alte code funktioniert ohne probs


// if (file_exists("notr_inc.php")) include("notr_inc.php");
if (file_exists("nodl_inc.php")) include("nodl_inc.php");
// http://mobiledetect.net/
if (file_exists("Mobile_Detect.php")) {
require_once "Mobile_Detect.php";
$detect = new Mobile_Detect;
}

das ist mir nun auf gefallen in der chat.php das der neue code diesen fehler verursacht das ist mir auf gefallen weil wenn ich denn code in der vorversion ersetze kommt die fehlermeldung nehme ich deine neue version komt die gleiche meldung nehme ich die backup datei kommt keine fehler meldung und webseite funktioniert ohne probleme


lg

Eintrag gesperrt
524 Views

gesamter Thread: